Subject: Re: `git bundle create -` may not write to `stdout`

From: Junio C Hamano <[email-masked]>
Date: Mon, 06 Mar 2023 09:34:35 -0800

Jeff King <[email-masked]> writes:

> Oh, hmph. I didn't realize that both my patch and yours are touching a
> shared options-parser that affects both reading and writing. So the
> patch by itself is fixing "git bundle create -" but breaking "git bundle
> verify -". We either need to teach the reading side to handle "-", or we
> have to teach parse_options_cmd_bundle() to handle the two cases
> differently.

Yes.  Teaching that "-" is to read from the standard input to
consumers would be a natural thing to do, with the well-understood
escape hatch to use "./-" if the user really means a file.

Thanks.